### Method

# Fwupd Client set_host_security_id

since: 2.1.7

#### Declaration [src]

    void
    fwupd_client_set_host_security_id (
      FwupdClient* self,
      const gchar* host_security_id
    )

#### Description [src]

Sets the string that represents the host machine ID.

Available since: 2.1.7

Sets property | `Fwupd.Client:host-security-id`

#### Parameters

`host_security_id`

  Type: `const gchar*`

  A semantic version, e.g. “1.2.3”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.